Subject: [mobile-ip] Low Latency MIPv4 Handoffs

From: Jonathan Wood <[email-masked]>
Date: Fri, 2 Nov 2001 13:18:14 -0800 (PST)

Having implemented draft-ietf-mobileip-lowlatency-handoffs-v4-02
(both PreReg and PostReg), I have some questions and comments about
PreReg.

My implementation experience is that PostReg is
for the most part well-specified and straightforward and modular
to implement, and required little or no modification of core
Mobile IP functionality. PreReg was a bit trickier, and required lots
of modifications to core Mobile-IP functionality (such as agent
solicitation and advertisement, routing, and registration relaying
on the FA, and movement detection, registration, and route and
L2 cache modification on the MN).

I've sent each topic in a seperate email for easier threading.

Jonathan